cache_entry Struct Reference

## Data Fields

VALUE | filled_version
ID | mid
VALUE | klass
rb_method_entry_t * | me

## Detailed Description

Definition at line 15 of file vm_method.c.

## Field Documentation

VALUE cache_entry::filled_version

Definition at line 16 of file vm_method.c.

Referenced by rb_method_entry(), rb_method_entry_get_without_cache(), and vm_clear_global_method_cache().

VALUE cache_entry::klass

Definition at line 18 of file vm_method.c.

Referenced by rb_alias(), rb_method_entry(), rb_method_entry_get_without_cache(), and rb_undef().

rb_method_entry_t* cache_entry::me

Definition at line 19 of file vm_method.c.

Referenced by check_definition(), rb_export_method(), rb_method_basic_definition_p(), rb_method_boundp(), rb_method_entry(), rb_method_entry_get_without_cache(), rb_mod_modfunc(), rb_undef(), and remove_method().

ID cache_entry::mid

Definition at line 17 of file vm_method.c.

Referenced by obj_respond_to(), rb_method_entry(), and rb_method_entry_get_without_cache().

The documentation for this struct was generated from the following file:

- vm_method.c